**[vue3-sfc-loader](../README.md)**

> [Globals](../README.md) / Cache

# Interface: Cache

## Hierarchy

* **Cache**

## Index

### Methods

* [get](cache.md#get)
* [set](cache.md#set)

## Methods

### get

▸ **get**(`key`: string): Promise\<string>

*Defined in [index.ts:67](https://github.com/FranckFreiburger/vue3-sfc-loader/blob/cdd9cdb/src/index.ts#L67)*

#### Parameters:

Name | Type |
------ | ------ |
`key` | string |

**Returns:** Promise\<string>

___

### set

▸ **set**(`key`: string, `value`: string): Promise\<void>

*Defined in [index.ts:68](https://github.com/FranckFreiburger/vue3-sfc-loader/blob/cdd9cdb/src/index.ts#L68)*

#### Parameters:

Name | Type |
------ | ------ |
`key` | string |
`value` | string |

**Returns:** Promise\<void>
